Elimina un metodo di pagamento associato a un cliente.
DELETE
/
customers
/
{customer_id}
/
payment-methods
/
{payment_method_id}
JavaScript
import DodoPayments from 'dodopayments';const client = new DodoPayments({ bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted});await client.customers.deletePaymentMethod('payment_method_id', { customer_id: 'cus_TV52uJWWXt2yIoBBxpjaa',});
import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
client.customers.delete_payment_method(
payment_method_id="payment_method_id",
customer_id="cus_TV52uJWWXt2yIoBBxpjaa",
)
Rimuovi un metodo di pagamento salvato dall’account di un cliente. Usa questa procedura per pulire i metodi di pagamento obsoleti o indesiderati.
Non puoi eliminare un metodo di pagamento utilizzato da un abbonamento attivo. L’API restituisce 409 Conflict con Payment method is in use by an active subscription. Sposta prima l’abbonamento su un altro metodo di pagamento utilizzando Aggiorna metodo di pagamento, quindi elimina quello precedente.
Un’eliminazione riuscita restituisce 204 No Content.
Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.
import DodoPayments from 'dodopayments';const client = new DodoPayments({ bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted});await client.customers.deletePaymentMethod('payment_method_id', { customer_id: 'cus_TV52uJWWXt2yIoBBxpjaa',});
import os
from dodopayments import DodoPayments
client = DodoPayments(
bearer_token=os.environ.get("DODO_PAYMENTS_API_KEY"), # This is the default and can be omitted
)
client.customers.delete_payment_method(
payment_method_id="payment_method_id",
customer_id="cus_TV52uJWWXt2yIoBBxpjaa",
)
{"docsConfig":{"theme":"maple","$schema":"https://mintlify.com/docs.json","name":"Dodo Payments Documentation","description":"Documentation for Dodo Payments — the all-in-one payments, billing, and merchant of record platform for SaaS, AI, and digital products.","colors":{"primary":"#779812","light":"#C6FE1E","dark":"#166534"},"logo":{"light":"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/light.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=23f7a052f7ecb9d6570b7c95ee359a97","dark":"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/dark.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=cd6c20238a54526436f21c43fee51b26"},"favicon":"https://mintcdn.com/dodopayments/doYQc9oUE-WNz0cs/favicon.svg?fit=max\u0026auto=format\u0026n=doYQc9oUE-WNz0cs\u0026q=85\u0026s=271c6cc8ce7d6bf4d7f2b9cca029e004","background":{"color":{"light":"#FFFFFF","dark":"#0D0D0D"}},"navbar":{"links":[{"icon":"link","href":"https://docs.dodopayments.com/llms-full.txt","label":"llms-full.txt"},{"icon":"discord","href":"https://discord.gg/bYqAp4ayYh","label":"Community"},{"icon":"house","href":"https://app.dodopayments.com/","label":"Dashboard"}]},"footer":{"socials":{"x":"https://x.com/dodopayments","linkedin":"https://linkedin.com/company/dodopayments","website":"https://dodopayments.com","discord":"https://discord.gg/bYqAp4ayYh","github":"https://github.com/dodopayments","instagram":"https://www.instagram.com/dodo.payments","facebook":"https://www.facebook.com/profile.php?id=61565515607280"}},"seo":{"metatags":{"og:site_name":"Dodo Payments Documentation","twitter:card":"summary_large_image"},"indexing":"navigable"},"fonts":{"heading":{"family":"ApfelGrotezk","weight":400,"source":"fonts/ApfelGrotezk-Regular.woff2","format":"woff2"},"body":{"family":"Inter","weight":400,"source":"fonts/Inter-Variable.woff2","format":"woff2"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","cursor"],"display":"header"},"metadata":{"timestamp":true},"styling":{"latex":true},"navigation":{"languages":[{"language":"en","href":"introduction"},{"language":"es","href":"es/introduction"},{"language":"ar","href":"ar/introduction"},{"language":"fr","href":"fr/introduction"},{"language":"de","href":"de/introduction"},{"language":"id","href":"id/introduction"},{"language":"ja","href":"ja/introduction"},{"language":"ko","href":"ko/introduction"},{"language":"pt-BR","href":"pt-BR/introduction"},{"language":"vi","href":"vi/introduction"},{"language":"cn","href":"cn/introduction"},{"language":"hi","href":"hi/introduction"},{"language":"it","href":"it/introduction"},{"language":"sv","href":"sv/introduction"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"dodopayments","hasAudioNarration":false,"actualSubdomain":"dodopayments","customDomains":["docs.dodopayments.com"],"gitSource":{"type":"github","owner":"dodopayments","repo":"dodo-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":false,"issues":false},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6af2d0a118316a0dfc1e077b","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"en","tag":"API Reference","count":181},{"language":"en","tag":"Docs","count":175},{"language":"ar","tag":"Docs","count":153},{"language":"cn","tag":"Docs","count":153},{"language":"de","tag":"Docs","count":153},{"language":"es","tag":"Docs","count":153},{"language":"fr","tag":"Docs","count":153},{"language":"hi","tag":"Docs","count":153},{"language":"id","tag":"Docs","count":153},{"language":"it","tag":"Docs","count":153},{"language":"ja","tag":"Docs","count":153},{"language":"ko","tag":"Docs","count":153},{"language":"pt-BR","tag":"Docs","count":153},{"language":"sv","tag":"Docs","count":153},{"language":"vi","tag":"Docs","count":153},{"language":"ar","tag":"API Reference","count":151},{"language":"cn","tag":"API Reference","count":151},{"language":"de","tag":"API Reference","count":151},{"language":"es","tag":"API Reference","count":151},{"language":"fr","tag":"API Reference","count":151},{"language":"hi","tag":"API Reference","count":151},{"language":"id","tag":"API Reference","count":151},{"language":"it","tag":"API Reference","count":151},{"language":"ja","tag":"API Reference","count":151},{"language":"ko","tag":"API Reference","count":151},{"language":"pt-BR","tag":"API Reference","count":151},{"language":"sv","tag":"API Reference","count":151},{"language":"vi","tag":"API Reference","count":151},{"language":"en","tag":"Features","count":85},{"language":"ar","tag":"Features","count":81},{"language":"cn","tag":"Features","count":81},{"language":"de","tag":"Features","count":81},{"language":"es","tag":"Features","count":81},{"language":"fr","tag":"Features","count":81},{"language":"hi","tag":"Features","count":81},{"language":"id","tag":"Features","count":81},{"language":"it","tag":"Features","count":81},{"language":"ja","tag":"Features","count":81},{"language":"ko","tag":"Features","count":81},{"language":"pt-BR","tag":"Features","count":81},{"language":"sv","tag":"Features","count":81},{"language":"vi","tag":"Features","count":81},{"language":"en","tag":"Integrate","count":74},{"language":"en","tag":"Changelog","count":66},{"language":"ar","tag":"Changelog","count":65},{"language":"cn","tag":"Changelog","count":65},{"language":"de","tag":"Changelog","count":65},{"language":"es","tag":"Changelog","count":65},{"language":"fr","tag":"Changelog","count":65},{"language":"hi","tag":"Changelog","count":65},{"language":"id","tag":"Changelog","count":65},{"language":"it","tag":"Changelog","count":65},{"language":"ja","tag":"Changelog","count":65},{"language":"ko","tag":"Changelog","count":65},{"language":"pt-BR","tag":"Changelog","count":65},{"language":"sv","tag":"Changelog","count":65},{"language":"vi","tag":"Changelog","count":65},{"language":"ar","tag":"Integrate","count":59},{"language":"cn","tag":"Integrate","count":59},{"language":"de","tag":"Integrate","count":59},{"language":"es","tag":"Integrate","count":59},{"language":"fr","tag":"Integrate","count":59},{"language":"hi","tag":"Integrate","count":59},{"language":"id","tag":"Integrate","count":59},{"language":"it","tag":"Integrate","count":59},{"language":"ja","tag":"Integrate","count":59},{"language":"ko","tag":"Integrate","count":59},{"language":"pt-BR","tag":"Integrate","count":59},{"language":"sv","tag":"Integrate","count":59},{"language":"vi","tag":"Integrate","count":59},{"language":"en","tag":"External Integrations","count":33},{"language":"ar","tag":"External Integrations","count":30},{"language":"cn","tag":"External Integrations","count":30},{"language":"de","tag":"External Integrations","count":30},{"language":"es","tag":"External Integrations","count":30},{"language":"fr","tag":"External Integrations","count":30},{"language":"hi","tag":"External Integrations","count":30},{"language":"id","tag":"External Integrations","count":30},{"language":"it","tag":"External Integrations","count":30},{"language":"ja","tag":"External Integrations","count":30},{"language":"ko","tag":"External Integrations","count":30},{"language":"pt-BR","tag":"External Integrations","count":30},{"language":"sv","tag":"External Integrations","count":30},{"language":"vi","tag":"External Integrations","count":30},{"language":"en","tag":"Webhooks","count":23},{"language":"ar","tag":"Webhooks","count":23},{"language":"cn","tag":"Webhooks","count":23},{"language":"de","tag":"Webhooks","count":23},{"language":"es","tag":"Webhooks","count":23},{"language":"fr","tag":"Webhooks","count":23},{"language":"hi","tag":"Webhooks","count":23},{"language":"id","tag":"Webhooks","count":23},{"language":"it","tag":"Webhooks","count":23},{"language":"ja","tag":"Webhooks","count":23},{"language":"ko","tag":"Webhooks","count":23},{"language":"pt-BR","tag":"Webhooks","count":23},{"language":"sv","tag":"Webhooks","count":23},{"language":"vi","tag":"Webhooks","count":23},{"language":"en","tag":"Guides","count":22},{"language":"ar","tag":"Guides","count":22},{"language":"cn","tag":"Guides","count":22},{"language":"de","tag":"Guides","count":22},{"language":"es","tag":"Guides","count":22},{"language":"fr","tag":"Guides","count":22},{"language":"hi","tag":"Guides","count":22},{"language":"id","tag":"Guides","count":22},{"language":"it","tag":"Guides","count":22},{"language":"ja","tag":"Guides","count":22},{"language":"ko","tag":"Guides","count":22},{"language":"pt-BR","tag":"Guides","count":22},{"language":"sv","tag":"Guides","count":22},{"language":"vi","tag":"Guides","count":22},{"language":"en","tag":"Entitlements","count":20},{"language":"ar","tag":"Entitlements","count":20},{"language":"cn","tag":"Entitlements","count":20},{"language":"de","tag":"Entitlements","count":20},{"language":"es","tag":"Entitlements","count":20},{"language":"fr","tag":"Entitlements","count":20},{"language":"hi","tag":"Entitlements","count":20},{"language":"id","tag":"Entitlements","count":20},{"language":"it","tag":"Entitlements","count":20},{"language":"ja","tag":"Entitlements","count":20},{"language":"ko","tag":"Entitlements","count":20},{"language":"pt-BR","tag":"Entitlements","count":20},{"language":"sv","tag":"Entitlements","count":20},{"language":"vi","tag":"Entitlements","count":20},{"language":"en","tag":"Invoices","count":17},{"language":"ar","tag":"Customers","count":16},{"language":"cn","tag":"Customers","count":16},{"language":"de","tag":"Customers","count":16},{"language":"es","tag":"Customers","count":16},{"language":"fr","tag":"Customers","count":16},{"language":"hi","tag":"Customers","count":16},{"language":"id","tag":"Customers","count":16},{"language":"it","tag":"Customers","count":16},{"language":"ja","tag":"Customers","count":16},{"language":"ko","tag":"Customers","count":16},{"language":"pt-BR","tag":"Customers","count":16},{"language":"sv","tag":"Customers","count":16},{"language":"vi","tag":"Customers","count":16}]},"assistantConfig":{"deflection":{"enabled":false,"email":"support@dodopayments.com","showHelpButton":true}},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"#content-area{max-width:60rem}h1,h2,h3,h4,h5,h6{letter-spacing:0.05em!important}.welcome-page .card-group{margin:3rem auto 8rem;max-width:70rem;padding-left:1.25rem;padding-right:1.25rem}.welcome-page .card-group .card{padding:1rem}.welcome-hero{display:flex;flex-direction:column;align-items:center;justify-content:center;min-height:20vh;text-align:center;margin-top:3rem;margin-bottom:2.5rem}.welcome-hero h1{font-size:2.5rem;font-weight:700;margin-bottom:1rem;line-height:1.2;color:#fff}.welcome-hero p{font-size:1.25rem;max-width:600px;margin:0 auto}.welcome-hero h1{color:rgb(41 42 37 / 1)}.dark .welcome-hero h1{color:rgb(255 255 255 / 1)}.welcome-hero p{color:rgb(83 85 79 / 1)}.dark .welcome-hero p{color:rgb(162 164 158 / 1)}"}],"page":{"pagePath":"it/api-reference/customers/delete-payment-method","slug":"/it/api-reference/customers/delete-payment-method","pageMetadata":{"openapi":"delete /customers/{customer_id}/payment-methods/{payment_method_id}","title":"Elimina Metodo di Pagamento","description":"Elimina un metodo di pagamento associato a un cliente.","keywords":["Dodo Payments","Riferimento API","REST API","elimina metodo di pagamento"],"href":"/it/api-reference/customers/delete-payment-method"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Elimina un metodo di pagamento associato a un cliente.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Heading,Warning}=_components;if(!Heading)_missingMdxReference(`Heading`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Rimuovi un metodo di pagamento salvato dall’account di un cliente. Usa questa procedura per pulire i metodi di pagamento obsoleti o indesiderati.`}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`Non puoi eliminare un metodo di pagamento utilizzato da un abbonamento attivo. L’API restituisce `,_jsx(_components.code,{children:`409 Conflict`}),` con `,_jsx(_components.code,{children:`Payment method is in use by an active subscription`}),`. Sposta prima l’abbonamento su un altro metodo di pagamento utilizzando `,_jsx(_components.a,{href:`/api-reference/subscriptions/update-payment-method`,children:`Aggiorna metodo di pagamento`}),`, quindi elimina quello precedente.`]})}),`\n`,_jsxs(_components.p,{children:[`Un’eliminazione riuscita restituisce `,_jsx(_components.code,{children:`204 No Content`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`casi-d’uso`,children:`Casi d’uso`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Richiesta del cliente`}),`: Rimuovere un metodo di pagamento che il cliente non desidera più salvare`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Carte scadute`}),`: Eliminare i metodi di pagamento con i dati della carta scaduti`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:`Sicurezza`}),`: Rimuovere immediatamente i metodi di pagamento compromessi`]}),`\n`]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"delete /customers/{customer_id}/payment-methods/{payment_method_id}","title":"Elimina Metodo di Pagamento","description":"Elimina un metodo di pagamento associato a un cliente.","keywords":["Dodo Payments","Riferimento API","REST API","elimina metodo di pagamento"],"href":"/it/api-reference/customers/delete-payment-method"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Casi d’uso","slug":"casi-d’uso","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":["/_mintlify/custom/dodopayments/0ee82a08f7b65bcb/seo.js","/_mintlify/custom/dodopayments/6f88c9bbee313616/assistant-loader.js"],"openApiReferenceData":{"operation":{"tags":["Customers"],"operationId":"delete_customer_payment_method","parameters":["ac3b4483-aa61-4fd2-96f6-039a74e3d8f3","5d6990f1-7062-4ef2-af96-a53ad94a48a0"],"responses":{"204":"2cb17639-c1a2-4f58-8fd7-53fc7dbddc6a","409":"7280dd40-6fec-4568-871e-4697a1541d8c"},"security":["c25164d2-8ddc-4ab4-9739-8ae63c74106a"],"x-codeSamples":[{"lang":"JavaScript","source":"import DodoPayments from 'dodopayments';\n\nconst client = new DodoPayments({\n bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted\n});\n\nawait client.customers.deletePaymentMethod('payment_method_id', {\n customer_id: 'cus_TV52uJWWXt2yIoBBxpjaa',\n});"},{"lang":"Python","source":"import os\nfrom dodopayments import DodoPayments\n\nclient = DodoPayments(\n bearer_token=os.environ.get(\"DODO_PAYMENTS_API_KEY\"), # This is the default and can be omitted\n)\nclient.customers.delete_payment_method(\n payment_method_id=\"payment_method_id\",\n customer_id=\"cus_TV52uJWWXt2yIoBBxpjaa\",\n)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\terr := client.Customers.DeletePaymentMethod(\n\t\tcontext.TODO(),\n\t\t\"cus_TV52uJWWXt2yIoBBxpjaa\",\n\t\t\"payment_method_id\",\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"},{"lang":"Java","source":"package com.dodopayments.api.example;\n\nimport com.dodopayments.api.client.DodoPaymentsClient;\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;\nimport com.dodopayments.api.models.customers.CustomerDeletePaymentMethodParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();\n\n CustomerDeletePaymentMethodParams params = CustomerDeletePaymentMethodParams.builder()\n .customerId(\"cus_TV52uJWWXt2yIoBBxpjaa\")\n .paymentMethodId(\"payment_method_id\")\n .build();\n client.customers().deletePaymentMethod(params);\n }\n}"},{"lang":"Kotlin","source":"package com.dodopayments.api.example\n\nimport com.dodopayments.api.client.DodoPaymentsClient\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient\nimport com.dodopayments.api.models.customers.CustomerDeletePaymentMethodParams\n\nfun main() {\n val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()\n\n val params: CustomerDeletePaymentMethodParams = CustomerDeletePaymentMethodParams.builder()\n .customerId(\"cus_TV52uJWWXt2yIoBBxpjaa\")\n .paymentMethodId(\"payment_method_id\")\n .build()\n client.customers().deletePaymentMethod(params)\n}"},{"lang":"Ruby","source":"require \"dodopayments\"\n\ndodo_payments = Dodopayments::Client.new(\n bearer_token: \"My Bearer Token\",\n environment: \"test_mode\" # defaults to \"live_mode\"\n)\n\nresult = dodo_payments.customers.delete_payment_method(\n \"payment_method_id\",\n customer_id: \"cus_TV52uJWWXt2yIoBBxpjaa\"\n)\n\nputs(result)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Dodopayments\\Client;\nuse Dodopayments\\Core\\Exceptions\\APIException;\n\n$client = new Client(\n bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',\n environment: 'test_mode',\n);\n\ntry {\n $result = $client->customers->deletePaymentMethod(\n 'payment_method_id', customerID: 'cus_TV52uJWWXt2yIoBBxpjaa'\n );\n\n var_dump($result);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"},{"lang":"C#","source":"using DodoPayments.Client;\nusing DodoPayments.Client.Models.Customers;\n\nDodoPaymentsClient client = new();\n\nCustomerDeletePaymentMethodParams parameters = new()\n{\n CustomerID = \"cus_TV52uJWWXt2yIoBBxpjaa\",\n PaymentMethodID = \"payment_method_id\",\n};\n\nawait client.Customers.DeletePaymentMethod(parameters);"},{"lang":"Rust","source":"use dodopayments::Client;\n\n#[tokio::main]\nasync fn main() -> dodopayments::Result\u003c()> {\n let client = Client::from_env()?;\n let customer_id = \"customer_id\";\n let payment_method_id = \"payment_method_id\";\n let result = client\n .customers()\n .delete_payment_method()\n .customer_id(customer_id)\n .payment_method_id(payment_method_id)\n .await?;\n println!(\"{result:?}\");\n Ok(())\n}"}],"method":"delete","type":"path","servers":["258c6c34-2f0b-4091-a5e0-d5c0da1d0e4f","5001ffd6-aa75-47ac-b009-c76c158d0a43"],"path":"/customers/{customer_id}/payment-methods/{payment_method_id}","baseUrlOptions":["https://test.dodopayments.com/","https://live.dodopayments.com/"],"title":"","description":"Elimina un metodo di pagamento associato a un cliente.","codeSamples":[{"lang":"JavaScript","source":"import DodoPayments from 'dodopayments';\n\nconst client = new DodoPayments({\n bearerToken: process.env['DODO_PAYMENTS_API_KEY'], // This is the default and can be omitted\n});\n\nawait client.customers.deletePaymentMethod('payment_method_id', {\n customer_id: 'cus_TV52uJWWXt2yIoBBxpjaa',\n});"},{"lang":"Python","source":"import os\nfrom dodopayments import DodoPayments\n\nclient = DodoPayments(\n bearer_token=os.environ.get(\"DODO_PAYMENTS_API_KEY\"), # This is the default and can be omitted\n)\nclient.customers.delete_payment_method(\n payment_method_id=\"payment_method_id\",\n customer_id=\"cus_TV52uJWWXt2yIoBBxpjaa\",\n)"},{"lang":"Go","source":"package main\n\nimport (\n\t\"context\"\n\n\t\"github.com/dodopayments/dodopayments-go\"\n\t\"github.com/dodopayments/dodopayments-go/option\"\n)\n\nfunc main() {\n\tclient := dodopayments.NewClient(\n\t\toption.WithBearerToken(\"My Bearer Token\"),\n\t)\n\terr := client.Customers.DeletePaymentMethod(\n\t\tcontext.TODO(),\n\t\t\"cus_TV52uJWWXt2yIoBBxpjaa\",\n\t\t\"payment_method_id\",\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n}\n"},{"lang":"Java","source":"package com.dodopayments.api.example;\n\nimport com.dodopayments.api.client.DodoPaymentsClient;\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient;\nimport com.dodopayments.api.models.customers.CustomerDeletePaymentMethodParams;\n\npublic final class Main {\n private Main() {}\n\n public static void main(String[] args) {\n DodoPaymentsClient client = DodoPaymentsOkHttpClient.fromEnv();\n\n CustomerDeletePaymentMethodParams params = CustomerDeletePaymentMethodParams.builder()\n .customerId(\"cus_TV52uJWWXt2yIoBBxpjaa\")\n .paymentMethodId(\"payment_method_id\")\n .build();\n client.customers().deletePaymentMethod(params);\n }\n}"},{"lang":"Kotlin","source":"package com.dodopayments.api.example\n\nimport com.dodopayments.api.client.DodoPaymentsClient\nimport com.dodopayments.api.client.okhttp.DodoPaymentsOkHttpClient\nimport com.dodopayments.api.models.customers.CustomerDeletePaymentMethodParams\n\nfun main() {\n val client: DodoPaymentsClient = DodoPaymentsOkHttpClient.fromEnv()\n\n val params: CustomerDeletePaymentMethodParams = CustomerDeletePaymentMethodParams.builder()\n .customerId(\"cus_TV52uJWWXt2yIoBBxpjaa\")\n .paymentMethodId(\"payment_method_id\")\n .build()\n client.customers().deletePaymentMethod(params)\n}"},{"lang":"Ruby","source":"require \"dodopayments\"\n\ndodo_payments = Dodopayments::Client.new(\n bearer_token: \"My Bearer Token\",\n environment: \"test_mode\" # defaults to \"live_mode\"\n)\n\nresult = dodo_payments.customers.delete_payment_method(\n \"payment_method_id\",\n customer_id: \"cus_TV52uJWWXt2yIoBBxpjaa\"\n)\n\nputs(result)"},{"lang":"PHP","source":"\u003c?php\n\nrequire_once dirname(__DIR__) . '/vendor/autoload.php';\n\nuse Dodopayments\\Client;\nuse Dodopayments\\Core\\Exceptions\\APIException;\n\n$client = new Client(\n bearerToken: getenv('DODO_PAYMENTS_API_KEY') ?: 'My Bearer Token',\n environment: 'test_mode',\n);\n\ntry {\n $result = $client->customers->deletePaymentMethod(\n 'payment_method_id', customerID: 'cus_TV52uJWWXt2yIoBBxpjaa'\n );\n\n var_dump($result);\n} catch (APIException $e) {\n echo $e->getMessage();\n}"},{"lang":"C#","source":"using DodoPayments.Client;\nusing DodoPayments.Client.Models.Customers;\n\nDodoPaymentsClient client = new();\n\nCustomerDeletePaymentMethodParams parameters = new()\n{\n CustomerID = \"cus_TV52uJWWXt2yIoBBxpjaa\",\n PaymentMethodID = \"payment_method_id\",\n};\n\nawait client.Customers.DeletePaymentMethod(parameters);"},{"lang":"Rust","source":"use dodopayments::Client;\n\n#[tokio::main]\nasync fn main() -> dodopayments::Result\u003c()> {\n let client = Client::from_env()?;\n let customer_id = \"customer_id\";\n let payment_method_id = \"payment_method_id\";\n let result = client\n .customers()\n .delete_payment_method()\n .customer_id(customer_id)\n .payment_method_id(payment_method_id)\n .await?;\n println!(\"{result:?}\");\n Ok(())\n}"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"ac3b4483-aa61-4fd2-96f6-039a74e3d8f3":{"name":"customer_id","in":"path","description":"Customer Id","required":true,"schema":{"type":"string","isRequired":true,"description":"Customer Id","uniqueKey":"","typeLabel":"string"},"example":"cus_TV52uJWWXt2yIoBBxpjaa"},"5d6990f1-7062-4ef2-af96-a53ad94a48a0":{"name":"payment_method_id","in":"path","description":"Payment Method Id","required":true,"schema":{"type":"string","isRequired":true,"description":"Payment Method Id","uniqueKey":"","typeLabel":"string"}}},"responses":{"2cb17639-c1a2-4f58-8fd7-53fc7dbddc6a":{"description":"Payment method deleted successfully","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"7280dd40-6fec-4568-871e-4697a1541d8c":{"description":"Payment method is in use by an active subscription","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"c25164d2-8ddc-4ab4-9739-8ae63c74106a":{"API_KEY":{"type":"http","scheme":"bearer","description":"Send your API key as a bearer token: `Authorization: Bearer \u003capi_key>`. A test mode key starts with `dodo_test_`, for example `dodo_test_AbCd1234EfGh5678.\u003csecret>`. A live mode key starts with `dodo_live_`. Use a test mode key on `test.dodopayments.com` and a live mode key on `live.dodopayments.com`. Keys from before these tags have no tag and operate as before.","scopes":[],"schemeName":"API_KEY"}}},"servers":{"258c6c34-2f0b-4091-a5e0-d5c0da1d0e4f":{"url":"https://test.dodopayments.com/","description":"Test Mode Server Host"},"5001ffd6-aa75-47ac-b009-c76c158d0a43":{"url":"https://live.dodopayments.com/","description":"Live Mode Server Host"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Send your API key as a bearer token: `Authorization: Bearer \u003capi_key>`. A test mode key starts with `dodo_test_`, for example `dodo_test_AbCd1234EfGh5678.\u003csecret>`. A live mode key starts with `dodo_live_`. Use a test mode key on `test.dodopayments.com` and a live mode key on `live.dodopayments.com`. Keys from before these tags have no tag and operate as before.","scopes":[],"schemeName":"API_KEY"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Send your API key as a bearer token: `Authorization: Bearer \u003capi_key>`. A test mode key starts with `dodo_test_`, for example `dodo_test_AbCd1234EfGh5678.\u003csecret>`. A live mode key starts with `dodo_live_`. Use a test mode key on `test.dodopayments.com` and a live mode key on `live.dodopayments.com`. Keys from before these tags have no tag and operate as before.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"API_KEY","name":"Authorization"}],"title":"API_KEY"}]},"originalFileLocation":"openapi/openapi.documented.yml"},"subdomain":"dodopayments","siteName":"Dodo Payments Documentation","title":"Elimina Metodo di Pagamento - Dodo Payments Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/api-reference/customers/delete-payment-method","matchLevel":1},"es":{"href":"/es/api-reference/customers/delete-payment-method","matchLevel":1},"ar":{"href":"/ar/api-reference/customers/delete-payment-method","matchLevel":1},"fr":{"href":"/fr/api-reference/customers/delete-payment-method","matchLevel":1},"de":{"href":"/de/api-reference/customers/delete-payment-method","matchLevel":1},"id":{"href":"/id/api-reference/customers/delete-payment-method","matchLevel":1},"ja":{"href":"/ja/api-reference/customers/delete-payment-method","matchLevel":1},"ko":{"href":"/ko/api-reference/customers/delete-payment-method","matchLevel":1},"pt-BR":{"href":"/pt-BR/api-reference/customers/delete-payment-method","matchLevel":1},"vi":{"href":"/vi/api-reference/customers/delete-payment-method","matchLevel":1},"cn":{"href":"/cn/api-reference/customers/delete-payment-method","matchLevel":1},"hi":{"href":"/hi/api-reference/customers/delete-payment-method","matchLevel":1},"it":{"href":"/it/api-reference/customers/delete-payment-method","matchLevel":0},"sv":{"href":"/sv/api-reference/customers/delete-payment-method","matchLevel":1}}},"lastModified":"2026-08-06T08:54:32.602Z","gitLastModified":"2026-08-06T08:50:59.000Z","originalFileLocation":"it/api-reference/customers/delete-payment-method.mdx","locale":"it"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Elimina un metodo di pagamento associato a un cliente.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Elimina Metodo di Pagamento - Dodo Payments Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Elimina un metodo di pagamento associato a un cliente.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.dodopayments.com/it/api-reference/customers/delete-payment-method\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://dodopayments.mintlify.site/_mintlify/api/og/v2?division=Customers\u0026amp;title=Elimina+Metodo+di+Pagamento\u0026amp;description=Elimina+un+metodo+di+pagamento+associato+a+un+cliente.\u0026amp;theme=fcc3a546490e883f7462a320\u0026amp;signature=f1ecc4b0a53e2e06fdba23bca1bcdc1f31b351057335c1749b316ebc69a383d0\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Elimina Metodo di Pagamento - Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Elimina un metodo di pagamento associato a un cliente.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://dodopayments.mintlify.site/_mintlify/api/og/v2?division=Customers\u0026amp;title=Elimina+Metodo+di+Pagamento\u0026amp;description=Elimina+un+metodo+di+pagamento+associato+a+un+cliente.\u0026amp;theme=fcc3a546490e883f7462a320\u0026amp;signature=f1ecc4b0a53e2e06fdba23bca1bcdc1f31b351057335c1749b316ebc69a383d0\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/dodopayments/KuV_TozyHuGHOyyc/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Dodo Payments Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#779812\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.dodopayments.com/it/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/it/api-reference/customers/delete-payment-method.md\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"it\" href=\"https://docs.dodopayments.com/it/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"en\" href=\"https://docs.dodopayments.com/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"es\" href=\"https://docs.dodopayments.com/es/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ar\" href=\"https://docs.dodopayments.com/ar/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"fr\" href=\"https://docs.dodopayments.com/fr/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"de\" href=\"https://docs.dodopayments.com/de/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"id\" href=\"https://docs.dodopayments.com/id/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ja\" href=\"https://docs.dodopayments.com/ja/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"ko\" href=\"https://docs.dodopayments.com/ko/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"pt-BR\" href=\"https://docs.dodopayments.com/pt-BR/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"vi\" href=\"https://docs.dodopayments.com/vi/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"zh\" href=\"https://docs.dodopayments.com/cn/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"hi\" href=\"https://docs.dodopayments.com/hi/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"sv\" href=\"https://docs.dodopayments.com/sv/api-reference/customers/delete-payment-method\">\u003clink data-mint-head rel=\"alternate\" hreflang=\"x-default\" href=\"https://docs.dodopayments.com/api-reference/customers/delete-payment-method\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.dodopayments.com/#organization\",\"name\":\"Dodo Payments Documentation\",\"url\":\"https://docs.dodopayments.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/dodopayments/nM_mJfYkri-OpC5M/logo/light.svg?fit=max\u0026auto=format\u0026n=nM_mJfYkri-OpC5M\u0026q=85\u0026s=23f7a052f7ecb9d6570b7c95ee359a97\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.dodopayments.com#website\",\"name\":\"Dodo Payments Documentation\",\"url\":\"https://docs.dodopayments.com\",\"publisher\":{\"@id\":\"https://docs.dodopayments.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.dodopayments.com/it/api-reference/customers/delete-payment-method#webpage\",\"url\":\"https://docs.dodopayments.com/it/api-reference/customers/delete-payment-method\",\"name\":\"Elimina Metodo di Pagamento\",\"description\":\"Elimina un metodo di pagamento associato a un cliente.\",\"dateModified\":\"2026-08-06T08:50:59.000Z\",\"isPartOf\":{\"@id\":\"https://docs.dodopayments.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.dodopayments.com/it/api-reference/customers/delete-payment-method#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.dodopayments.com/it/api-reference/customers/delete-payment-method#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Customers\",\"item\":\"https://docs.dodopayments.com/it/api-reference/customers/create-customer\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Elimina Metodo di Pagamento\",\"item\":\"https://docs.dodopayments.com/it/api-reference/customers/delete-payment-method\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.dodopayments.com/it/api-reference/customers/delete-payment-method#apireference\",\"headline\":\"Elimina Metodo di Pagamento\",\"name\":\"Elimina Metodo di Pagamento\",\"description\":\"Elimina un metodo di pagamento associato a un cliente.\",\"url\":\"https://docs.dodopayments.com/it/api-reference/customers/delete-payment-method\",\"mainEntityOfPage\":{\"@id\":\"https://docs.dodopayments.com/it/api-reference/customers/delete-payment-method#webpage\"},\"dateModified\":\"2026-08-06T08:50:59.000Z\",\"keywords\":\"Dodo Payments, Riferimento API, REST API, elimina metodo di pagamento\",\"publisher\":{\"@id\":\"https://docs.dodopayments.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.dodopayments.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Dodo Payments Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Dodo Payments Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/it/api-reference/customers/delete-payment-method.md","siteName":"Dodo Payments Documentation","nav":{"global":null,"languages":[{"language":"en","pages":[{"title":"en","href":"/api-reference/customers/delete-payment-method"}]},{"language":"es","pages":[{"title":"es","href":"/es/api-reference/customers/delete-payment-method"}]},{"language":"ar","pages":[{"title":"ar","href":"/ar/api-reference/customers/delete-payment-method"}]},{"language":"fr","pages":[{"title":"fr","href":"/fr/api-reference/customers/delete-payment-method"}]},{"language":"de","pages":[{"title":"de","href":"/de/api-reference/customers/delete-payment-method"}]},{"language":"id","pages":[{"title":"id","href":"/id/api-reference/customers/delete-payment-method"}]},{"language":"ja","pages":[{"title":"ja","href":"/ja/api-reference/customers/delete-payment-method"}]},{"language":"ko","pages":[{"title":"ko","href":"/ko/api-reference/customers/delete-payment-method"}]},{"language":"pt-BR","pages":[{"title":"pt-BR","href":"/pt-BR/api-reference/customers/delete-payment-method"}]},{"language":"vi","pages":[{"title":"vi","href":"/vi/api-reference/customers/delete-payment-method"}]},{"language":"cn","pages":[{"title":"cn","href":"/cn/api-reference/customers/delete-payment-method"}]},{"language":"hi","pages":[{"title":"hi","href":"/hi/api-reference/customers/delete-payment-method"}]},{"language":"it","tabs":[{"tab":"Docs","icon":"book","pages":[{"title":"Docs","href":"/it/introduction"}]},{"tab":"Guides","icon":"compass","pages":[{"title":"Guides","href":"/it/developer-resources/integration-guide"}]},{"tab":"API Reference","icon":"rectangle-code","groups":[{"group":"API Reference","pages":[{"title":"Riferimento API","sidebarTitle":"Introduzione","icon":"book-open","href":"/it/api-reference/introduction"},{"title":"Codici di Errore","icon":"triangle-exclamation","href":"/it/api-reference/error-codes"},{"title":"Errori di Transazione","icon":"circle-exclamation","href":"/it/api-reference/transaction-failures"},{"title":"Guida ai Metadati","icon":"tags","href":"/it/api-reference/metadata"}]},{"group":"Checkout Sessions","pages":[{"openapi":"post /checkouts","title":"Crea Sessione di Checkout","href":"/it/api-reference/checkout-sessions/create"},{"openapi":"post /checkouts/preview","title":"Anteprima della sessione di checkout","href":"/it/api-reference/checkout-sessions/preview"},{"openapi":"get /checkouts/{id}","title":"Ottieni la sessione di checkout","href":"/it/api-reference/checkout-sessions/get-checkouts"}]},{"group":"Payments","pages":[{"openapi":"get /payments","title":"Elenco Pagamenti","href":"/it/api-reference/payments/get-payments"},{"openapi":"get /payments/{payment_id}","title":"Ottieni dettagli sul pagamento","href":"/it/api-reference/payments/get-payments-1"},{"title":"Ottieni fattura","openapi":"get /invoices/payments/{payment_id}","href":"/it/api-reference/payments/get-invoice"},{"openapi":"get /payments/{payment_id}/line-items","title":"Recupera gli Elementi della Linea","href":"/it/api-reference/payments/retrieve-line-items"},{"openapi":"post /payments","title":"Crea un pagamento una tantum","tag":"DEPRECATED","href":"/it/api-reference/payments/post-payments"}]},{"group":"Subscriptions","pages":[{"openapi":"get /subscriptions","title":"Iscrizioni alla Lista","href":"/it/api-reference/subscriptions/get-subscriptions-1"},{"openapi":"get /subscriptions/{subscription_id}","title":"Ottieni i dettagli dell'abbonamento","href":"/it/api-reference/subscriptions/get-subscriptions"},{"openapi":"post /subscriptions/{subscription_id}/change-plan","title":"Cambia piano","href":"/it/api-reference/subscriptions/change-plan"},{"openapi":"post /subscriptions/{subscription_id}/change-plan/preview","title":"Anteprima della Modifica del Piano","href":"/it/api-reference/subscriptions/preview-change-plan"},{"openapi":"delete /subscriptions/{subscription_id}/change-plan/scheduled","title":"Annulla Modifica Piano Pianificata","href":"/it/api-reference/subscriptions/cancel-change-plan"},{"openapi":"patch /subscriptions/{subscription_id}","title":"Aggiorna Abbonamento","href":"/it/api-reference/subscriptions/patch-subscriptions"},{"openapi":"post /subscriptions/{subscription_id}/charge","title":"Crea Addebito (On-Demand)","href":"/it/api-reference/subscriptions/create-charge"},{"openapi":"get /subscriptions/{subscription_id}/usage-history","title":"Ottieni la cronologia dell'uso dell'abbonamento","href":"/it/api-reference/subscriptions/get-usage-history"},{"openapi":"get /subscriptions/{subscription_id}/credit-usage","title":"Recupera Utilizzo del Credito","href":"/it/api-reference/subscriptions/retrieve-credit-usage"},{"openapi":"post /subscriptions/{subscription_id}/update-payment-method","title":"Aggiorna Metodo di Pagamento","href":"/it/api-reference/subscriptions/update-payment-method"},{"openapi":"post /subscriptions","title":"Crea Abbonamento","tag":"DEPRECATED","href":"/it/api-reference/subscriptions/post-subscriptions"}]},{"group":"Discounts","pages":[{"openapi":"get /discounts","title":"Elenco Sconti","href":"/it/api-reference/discounts/list-discounts"},{"openapi":"post /discounts","title":"Crea Sconto","href":"/it/api-reference/discounts/create-discount"},{"openapi":"get /discounts/{discount_id}","title":"Ottieni Sconto","href":"/it/api-reference/discounts/validate-discount"},{"openapi":"get /discounts/code/{code}","title":"Ottieni sconto tramite codice","href":"/it/api-reference/discounts/get-discount-by-code"},{"openapi":"patch /discounts/{discount_id}","title":"Aggiorna Sconto","href":"/it/api-reference/discounts/update-discount"},{"openapi":"delete /discounts/{discount_id}","title":"Elimina Sconto","href":"/it/api-reference/discounts/delete-discount"},{"openapi":"get /discounts/{discount_id}/customers","title":"Elenca i clienti dello sconto","href":"/it/api-reference/discounts/list-discount-customers"},{"openapi":"post /discounts/{discount_id}/customers","title":"Aggiungi clienti allo sconto","href":"/it/api-reference/discounts/add-discount-customers"},{"openapi":"delete /discounts/{discount_id}/customers/{customer_id}","title":"Rimuovi cliente dallo sconto","href":"/it/api-reference/discounts/remove-discount-customer"}]},{"group":"Licenses","pages":[{"title":"Crea Chiave di Licenza","openapi":"post /license_keys","href":"/it/api-reference/licenses/create-license-key"},{"title":"Attiva Licenza","openapi":"post /licenses/activate","href":"/it/api-reference/licenses/activate-license"},{"title":"Disattiva Licenza","openapi":"post /licenses/deactivate","href":"/it/api-reference/licenses/deactivate-license"},{"title":"Valida Licenza","openapi":"post /licenses/validate","href":"/it/api-reference/licenses/validate-license"},{"title":"Elenca Chiavi di Licenza","openapi":"get /license_keys","tag":"DEPRECATED","href":"/it/api-reference/licenses/list-license-keys"},{"title":"Ottieni la chiave di licenza","openapi":"get /license_keys/{id}","tag":"DEPRECATED","href":"/it/api-reference/licenses/get-license-key"},{"title":"Aggiorna la chiave di licenza","openapi":"patch /license_keys/{id}","tag":"DEPRECATED","href":"/it/api-reference/licenses/update-license-key"},{"title":"Elenco delle istanze delle chiavi di licenza","openapi":"get /license_key_instances","href":"/it/api-reference/licenses/get-license-key-instances"},{"title":"Ottieni l'istanza della chiave di licenza","openapi":"get /license_key_instances/{id}","href":"/it/api-reference/licenses/get-license-key-instance"},{"title":"Aggiorna l'istanza della chiave di licenza","openapi":"patch /license_key_instances/{id}","href":"/it/api-reference/licenses/update-license-key-instance"}]},{"group":"Entitlements","tag":"NEW","pages":[{"title":"Elenco delle Abilitazioni","openapi":"get /entitlements","href":"/it/api-reference/entitlements/list-entitlements"},{"title":"Crea Autorizzazione","openapi":"post /entitlements","href":"/it/api-reference/entitlements/create-entitlement"},{"title":"Ottieni Autorizzazione","openapi":"get /entitlements/{id}","href":"/it/api-reference/entitlements/get-entitlement"},{"title":"Aggiorna Diritto","openapi":"patch /entitlements/{id}","href":"/it/api-reference/entitlements/update-entitlement"},{"title":"Elimina Diritto","openapi":"delete /entitlements/{id}","href":"/it/api-reference/entitlements/delete-entitlement"},{"title":"Carica File","openapi":"post /entitlements/{id}/files","href":"/it/api-reference/entitlements/upload-file"},{"title":"Elimina File","openapi":"delete /entitlements/{id}/files/{file_id}","href":"/it/api-reference/entitlements/delete-file"},{"title":"Elenca Concessioni","openapi":"get /entitlements/{id}/grants","href":"/it/api-reference/entitlements/list-grants"},{"title":"Elenco delle Concessioni ai Clienti","openapi":"get /customers/{customer_id}/entitlement-grants","href":"/it/api-reference/entitlements/list-customer-grants"},{"title":"Eseguire la Concessione della Chiave di Licenza","openapi":"post /grants/{grant_id}/license-key","href":"/it/api-reference/entitlements/fulfill-license-key"},{"title":"Revoca Concessione","openapi":"delete /entitlements/{id}/grants/{grant_id}","href":"/it/api-reference/entitlements/revoke-grant"}]},{"group":"Customers","pages":[{"openapi":"post /customers","title":"Crea Cliente","href":"/it/api-reference/customers/create-customer"},{"openapi":"get /customers","title":"Elenco Clienti","href":"/it/api-reference/customers/get-customers"},{"openapi":"get /customers/{customer_id}","title":"Ottieni dettagli del cliente","href":"/it/api-reference/customers/get-customers-1"},{"openapi":"patch /customers/{customer_id}","title":"Aggiorna Cliente","href":"/it/api-reference/customers/patch-customer"},{"openapi":"post /customers/{customer_id}/customer-portal/session","title":"Crea sessione del portale clienti","href":"/it/api-reference/customers/create-customer-portal-session"},{"openapi":"get /customers/{customer_id}/payment-methods","title":"Elenco dei Metodi di Pagamento","description":"Elenca tutti i metodi di pagamento associati a un cliente specifico.","href":"/it/api-reference/customers/get-customer-payment-methods"},{"openapi":"delete /customers/{customer_id}/payment-methods/{payment_method_id}","title":"Elimina Metodo di Pagamento","href":"/it/api-reference/customers/delete-payment-method"},{"openapi":"get /customers/{customer_id}/entitlements","title":"Elenca le entitlement del cliente","description":"Recupera tutte le concessioni di entitlement che sono state fornite a un cliente o che sono ancora in corso.","href":"/it/api-reference/customers/list-customer-entitlements"},{"openapi":"get /customers/{customer_id}/credit-entitlements","title":"Elenca le disponibilità di credito del cliente","href":"/it/api-reference/customers/list-customer-credit-entitlements"},{"openapi":"get /customers/{customer_id}/emails","title":"Elenca le email del cliente","href":"/it/api-reference/customers/list-customer-emails"},{"openapi":"get /customers/{customer_id}/emails/{email_log_id}/body","title":"Recupera il contenuto dell'email del cliente","href":"/it/api-reference/customers/get-customer-email-body"}]},{"group":"Customer Wallets","pages":[{"openapi":"get /customers/{customer_id}/wallets","title":"Elenca i portafogli del cliente","href":"/it/api-reference/customers/get-customer-wallets"},{"openapi":"get /customers/{customer_id}/wallets/ledger-entries","title":"Elenco delle voci del libro mastro del portafoglio del cliente","href":"/it/api-reference/customers/get-customer-wallets-ledger-entries"},{"openapi":"post /customers/{customer_id}/wallets/ledger-entries","title":"Crea voce di registro del portafoglio cliente","href":"/it/api-reference/customers/post-customer-wallets-ledger-entries"}]},{"group":"Products","pages":[{"openapi":"get /products","title":"Elenco Prodotti","href":"/it/api-reference/products/get-products"},{"openapi":"post /products","title":"Crea Prodotto","href":"/it/api-reference/products/post-products"},{"openapi":"get /products/{id}","title":"Ottieni dettagli sul prodotto","href":"/it/api-reference/products/get-products-1"},{"openapi":"patch /products/{id}","title":"Aggiorna Prodotto","href":"/it/api-reference/products/patch-products"},{"openapi":"put /products/{id}/images","title":"Aggiorna l'immagine del prodotto","href":"/it/api-reference/products/put-products-images"},{"openapi":"delete /products/{id}","title":"Archivia Prodotto","href":"/it/api-reference/products/archive-product"},{"openapi":"post /products/{id}/unarchive","title":"Ripristina Prodotto","href":"/it/api-reference/products/unarchive-product"},{"openapi":"put /products/{id}/files","title":"Carica file del prodotto","href":"/it/api-reference/products/update-files"},{"openapi":"get /products/short_links","title":"Elenco dei collegamenti brevi","href":"/it/api-reference/products/get-products-short-links"},{"openapi":"post /products/{id}/short_links","title":"Crea Link Breve","href":"/it/api-reference/products/post-products-id-short-links"}]},{"group":"Localized Pricing","tag":"NEW","pages":[{"openapi":"get /products/{product_id}/localized-prices","title":"Elenca Prezzi Localizzati","href":"/it/api-reference/products/get-products-localized-prices"},{"openapi":"post /products/{product_id}/localized-prices","title":"Crea Prezzo Localizzato","href":"/it/api-reference/products/post-products-localized-prices"},{"openapi":"get /products/{product_id}/localized-prices/{id}","title":"Ottieni Prezzo Localizzato","href":"/it/api-reference/products/get-products-localized-prices-id"},{"openapi":"patch /products/{product_id}/localized-prices/{id}","title":"Aggiorna Prezzo Localizzato","href":"/it/api-reference/products/patch-products-localized-prices"},{"openapi":"delete /products/{product_id}/localized-prices/{id}","title":"Archivia Prezzo Localizzato","href":"/it/api-reference/products/delete-products-localized-prices"}]},{"group":"Addons","pages":[{"openapi":"post /addons","title":"Crea Addon","href":"/it/api-reference/addons/create-addon"},{"openapi":"get /addons","title":"Elenco degli Addon","href":"/it/api-reference/addons/list-addons"},{"openapi":"get /addons/{id}","title":"Ottieni Addon","href":"/it/api-reference/addons/get-addon"},{"openapi":"patch /addons/{id}","title":"Aggiorna Addon","href":"/it/api-reference/addons/update-addon"},{"openapi":"put /addons/{id}/images","title":"Aggiorna immagine dell'addon","href":"/it/api-reference/addons/update-addon-images"}]},{"group":"Credit Entitlements","tag":"NEW","pages":[{"openapi":"get /credit-entitlements","title":"Elenca i diritti di credito","href":"/it/api-reference/credit-entitlements/list-credit-entitlements"},{"openapi":"post /credit-entitlements","title":"Crea diritto di credito","href":"/it/api-reference/credit-entitlements/create-credit-entitlement"},{"openapi":"get /credit-entitlements/{id}","title":"Ottieni diritto al credito","href":"/it/api-reference/credit-entitlements/get-credit-entitlement"},{"openapi":"patch /credit-entitlements/{id}","title":"Aggiorna diritto al credito","href":"/it/api-reference/credit-entitlements/update-credit-entitlement"},{"openapi":"delete /credit-entitlements/{id}","title":"Elimina diritto di credito","href":"/it/api-reference/credit-entitlements/delete-credit-entitlement"},{"openapi":"post /credit-entitlements/{id}/undelete","title":"Undelete Credit Entitlement","href":"/it/api-reference/credit-entitlements/undelete-credit-entitlement"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances","title":"Elenca saldi","href":"/it/api-reference/credit-entitlements/list-balances"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}","title":"Ottieni il saldo del cliente","href":"/it/api-reference/credit-entitlements/get-customer-balance"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/grants","title":"Elenca le concessioni per il cliente","href":"/it/api-reference/credit-entitlements/list-customer-grants"},{"openapi":"get /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/ledger","title":"Elenca il libro contabile del cliente","href":"/it/api-reference/credit-entitlements/list-customer-ledger"},{"openapi":"post /credit-entitlements/{credit_entitlement_id}/balances/{customer_id}/ledger-entries","title":"Crea voce di registro","href":"/it/api-reference/credit-entitlements/create-ledger-entry"}]},{"group":"Meters","pages":[{"openapi":"post /meters","title":"Crea Misuratore","href":"/it/api-reference/meters/create-meter"},{"openapi":"get /meters","title":"Elenco dei contatori","href":"/it/api-reference/meters/get-meters"},{"openapi":"get /meters/{id}","title":"Ottieni Misuratore","href":"/it/api-reference/meters/retrieve-meter"},{"openapi":"delete /meters/{id}","title":"Archivia Meter","href":"/it/api-reference/meters/archive-meter"},{"openapi":"post /meters/{id}/unarchive","title":"Ripristina Misuratore","href":"/it/api-reference/meters/unarchive-meter"}]},{"group":"Usage Events","pages":[{"openapi":"post /events/ingest","title":"Ingestione degli eventi","href":"/it/api-reference/usage-events/ingest-events"},{"openapi":"get /events/{event_id}","title":"Ottieni Evento","href":"/it/api-reference/usage-events/get-event"},{"openapi":"get /events","title":"Elenco Eventi","href":"/it/api-reference/usage-events/list-events"}]},{"group":"Refunds","pages":[{"openapi":"get /refunds","title":"Elenco dei Rimborsi","href":"/it/api-reference/refunds/get-refunds"},{"openapi":"post /refunds","title":"Crea Rimborso","href":"/it/api-reference/refunds/post-refunds"},{"openapi":"get /refunds/{refund_id}","title":"Ottieni dettagli sul rimborso","href":"/it/api-reference/refunds/get-refunds-1"},{"openapi":"get /invoices/refunds/{refund_id}","title":"Ottieni ricevuta di rimborso","href":"/it/api-reference/refunds/get-refund-receipt"}]},{"group":"Disputes","pages":[{"openapi":"get /disputes","title":"Elenco delle controversie","href":"/it/api-reference/disputes/get-disputes"},{"openapi":"get /disputes/{dispute_id}","title":"Ottieni dettagli sulla controversia","href":"/it/api-reference/disputes/get-disputes-1"}]},{"group":"Payouts","pages":[{"openapi":"get /payouts","title":"Elenco dei pagamenti","href":"/it/api-reference/payouts/get-payouts"},{"openapi":"get /payouts/{payout_id}/breakup","title":"Recupera la Ripartizione del Pagamento","href":"/it/api-reference/payouts/retrieve-breakup"},{"openapi":"get /payouts/{payout_id}/breakup/details","title":"Elenco dei Dettagli di Ripartizione dei Pagamenti","href":"/it/api-reference/payouts/list-breakup-details"},{"openapi":"get /payouts/{payout_id}/breakup/details/csv","title":"Scarica il CSV della Ripartizione del Pagamento","href":"/it/api-reference/payouts/download-breakup-csv"}]},{"group":"Balance Ledger","pages":[{"openapi":"get /balances/ledger","title":"Elenca le voci del registro dei saldi","href":"/it/api-reference/balance-ledger/list-ledger-entries"}]},{"group":"Moderation","tag":"NEW","pages":[{"openapi":"post /moderation/screen","title":"Analizza un prompt","href":"/it/api-reference/moderation/screen"},{"openapi":"get /moderation/usage","title":"Ottieni l'utilizzo della moderazione","href":"/it/api-reference/moderation/get-usage"}]},{"group":"Brands","pages":[{"openapi":"get /brands","title":"Elenco dei marchi","href":"/it/api-reference/brands/list-brands"},{"openapi":"post /brands","title":"Crea Brand","href":"/it/api-reference/brands/create-brand"},{"openapi":"get /brands/{id}","title":"Ottieni Brand","href":"/it/api-reference/brands/get-brand"},{"openapi":"patch /brands/{id}","title":"Aggiorna Brand","href":"/it/api-reference/brands/update-brand"},{"openapi":"put /brands/{id}/images","title":"Aggiorna l'immagine del brand","href":"/it/api-reference/brands/update-brand-images"},{"openapi":"post /brands/{id}/archive","title":"Archivia brand","href":"/it/api-reference/brands/archive-brand"}]},{"group":"Webhooks","pages":[{"openapi":"get /webhooks","title":"Elenco Webhook","href":"/it/api-reference/webhooks/list-webhooks"},{"openapi":"post /webhooks","title":"Crea Webhook","href":"/it/api-reference/webhooks/create-webhook"},{"openapi":"get /webhooks/{webhook_id}","title":"Ottieni i dettagli del webhook","href":"/it/api-reference/webhooks/get-details"},{"openapi":"patch /webhooks/{webhook_id}","title":"Aggiorna Webhook","href":"/it/api-reference/webhooks/update-webhook"},{"openapi":"delete /webhooks/{webhook_id}","title":"Elimina Webhook","href":"/it/api-reference/webhooks/delete-webhook"},{"openapi":"get /webhooks/{webhook_id}/headers","title":"Ottieni intestazioni del webhook","href":"/it/api-reference/webhooks/get-webhook-headers"},{"openapi":"patch /webhooks/{webhook_id}/headers","title":"Aggiorna le intestazioni del Webhook","href":"/it/api-reference/webhooks/update-webhook-headers"},{"openapi":"get /webhooks/{webhook_id}/secret","title":"Ottieni la chiave di firma del webhook","href":"/it/api-reference/webhooks/get-webhook-signing-key"}]},{"group":"Miscellaneous","pages":[{"title":"Paesi Supportati","openapi":"get /checkout/supported_countries","href":"/it/api-reference/misc/supported-countries"}]},{"group":"Product Collections","tag":"NEW","pages":[{"openapi":"get /product-collections","title":"Elenco delle Collezioni di Prodotti","href":"/it/api-reference/product-collections/list-product-collections"},{"openapi":"post /product-collections","title":"Crea Collezione di Prodotti","href":"/it/api-reference/product-collections/create-product-collection"},{"openapi":"get /product-collections/{id}","title":"Ottenere la Collezione di Prodotti","href":"/it/api-reference/product-collections/get-product-collection"},{"openapi":"patch /product-collections/{id}","title":"Aggiorna Collezione di Prodotti","href":"/it/api-reference/product-collections/update-product-collection"},{"openapi":"delete /product-collections/{id}","title":"Archivia Collezione di Prodotti","href":"/it/api-reference/product-collections/archive-product-collection"},{"openapi":"post /product-collections/{id}/unarchive","title":"Annulla archiviazione collezione di prodotti","href":"/it/api-reference/product-collections/unarchive-product-collection"},{"openapi":"put /product-collections/{id}/images","title":"Aggiorna l'immagine della raccolta di prodotti","href":"/it/api-reference/product-collections/update-product-collection-images"},{"openapi":"post /product-collections/{id}/groups","title":"Crea Gruppo di Collezione di Prodotti","href":"/it/api-reference/product-collections/create-group"},{"openapi":"patch /product-collections/{id}/groups/{group_id}","title":"Aggiorna Gruppo della Collezione di Prodotti","href":"/it/api-reference/product-collections/update-group"},{"openapi":"delete /product-collections/{id}/groups/{group_id}","title":"Elimina Gruppo Collezione Prodotti","href":"/it/api-reference/product-collections/delete-group"},{"openapi":"post /product-collections/{id}/groups/{group_id}/items","title":"Aggiungi Prodotti al Gruppo","href":"/it/api-reference/product-collections/add-group-items"},{"openapi":"patch /product-collections/{id}/groups/{group_id}/items/{item_id}","title":"Aggiorna Elemento del Gruppo","href":"/it/api-reference/product-collections/update-group-item"},{"openapi":"delete /product-collections/{id}/groups/{group_id}/items/{item_id}","title":"Elimina elemento gruppo","href":"/it/api-reference/product-collections/delete-group-item"}]}]},{"tab":"External Integrations","icon":"plug","pages":[{"title":"External Integrations","href":"/it/integrations/introduction"}]},{"tab":"Changelog","icon":"calendar-days","pages":[{"title":"Changelog","href":"/it/changelog/introduction"}]},{"tab":"Community Projects","icon":"users","pages":[{"title":"Community Projects","href":"/it/community/overview"}]}]},{"language":"sv","pages":[{"title":"sv","href":"/sv/api-reference/customers/delete-payment-method"}]}]},"basePath":"","title":"Elimina Metodo di Pagamento - Dodo Payments Documentation","buildId":"dpl_596ePT575z4qnAFksq1biRW97aLY","deploymentId":"dpl_596ePT575z4qnAFksq1biRW97aLY","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-C9Wu0MeN.js","utils-jWgu-6Qf.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DBD8f9qn.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-BGuX1ui5.js","snippetPresets-Evy63nQB.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","Page-D6S0Yh6q.js","ApiExamples-BQHO1lnV.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-B6C8m-t_.js","shallow-BG4cT0fH.js","getApiPlaygroundDisplay-CgEPrE-D.js","CodeSnippet-CU8JyZ9N.js","CodeSnippets-BnxHU32T.js","getPastedJson-CwiYOonh.js","icon-DYDpWmDf.js","MethodPill-C-J-l7_c.js","DuplicateIcon-B6ARwg9w.js","createIcon-Dsv4MtDq.js","DynamicMarkdown-CtasenyM.js","SectionHeading-YNcgYwjB.js","axios-vUo_bRtp.js","Markdown-CwLx6PAg.js","clsx-C3kuh_dz.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CmKHfscc.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-U3mI6Ljh.js"]}